Subclipse and Mountain Lion (Mac OS 10.8) Compatibility

I installed Mountain Lion within the first few days of release and initially only ran into two issues: Little Snitch and Parallels were no longer compatible. However, after launching Flash Builder I got a JavaHL error when trying to use Subclipse to update my projects.

After downloading MacPort and trying to get it to work (and failing), I found a post by Ryufly (Thanks!).

First you need to install MacPort.

  1. # sudo port -v selfupdate
  2. # sudo port install subversion-javahlbindings
  3. # sudo port upgrade --enforce-variants active +universal